curl --request DELETE \
--url https://api.eigenpal.com/v1/automations/{id}/examples/{exampleId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.eigenpal.com/v1/automations/{id}/examples/{exampleId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.eigenpal.com/v1/automations/{id}/examples/{exampleId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"automationId": "<string>",
"automationType": "workflow",
"input": {},
"expected": "<unknown>",
"expectedFiles": [
{
"name": "<string>",
"url": "<string>"
}
],
"metadata": {},
"annotation": "<string>",
"rowOrder": 123,
"overrides": {},
"latestRunId": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}{
"issues": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>",
"severity": "error"
}
],
"requestId": "<string>",
"hint": "<string>",
"docsUrl": "<string>",
"conflictingWorkflowId": "<string>"
}{
"issues": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>",
"severity": "error"
}
],
"requestId": "<string>",
"hint": "<string>",
"docsUrl": "<string>",
"conflictingWorkflowId": "<string>"
}{
"issues": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>",
"severity": "error"
}
],
"requestId": "<string>",
"hint": "<string>",
"docsUrl": "<string>",
"conflictingWorkflowId": "<string>"
}{
"issues": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>",
"severity": "error"
}
],
"requestId": "<string>",
"hint": "<string>",
"docsUrl": "<string>",
"conflictingWorkflowId": "<string>"
}{
"issues": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>",
"severity": "error"
}
],
"requestId": "<string>",
"hint": "<string>",
"docsUrl": "<string>",
"conflictingWorkflowId": "<string>"
}{
"issues": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>",
"severity": "error"
}
],
"requestId": "<string>",
"hint": "<string>",
"docsUrl": "<string>",
"conflictingWorkflowId": "<string>"
}{
"issues": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>",
"severity": "error"
}
],
"requestId": "<string>",
"hint": "<string>",
"docsUrl": "<string>",
"conflictingWorkflowId": "<string>"
}{
"issues": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>",
"severity": "error"
}
],
"requestId": "<string>",
"hint": "<string>",
"docsUrl": "<string>",
"conflictingWorkflowId": "<string>"
}Delete dataset example
Delete one dataset example from the automation dataset. This removes the example from future experiments.
Authorizations
API key issued from Settings → API Keys. Pass as Authorization: Bearer <key>.
Path Parameters
Automation id or typed alias.
Dataset example id. Agent examples may use deterministic name-derived ids returned by list/create responses.
Response
Deleted dataset example.
One input/expected-output row in an automation dataset.
Stable public example id. Workflow examples use DB ids; agent examples use deterministic name-derived ids.
Human-readable dataset example name.
Automation that owns this example.
workflow, agent Input arguments used when this example is run. Null when listing with include=metadata.
Show child attributes
Show child attributes
Expected JSON output for evaluator comparisons. Null when listing with include=metadata.
Expected files attached to this example.
Show child attributes
Show child attributes
Caller-managed metadata for sorting or filtering examples.
Show child attributes
Show child attributes
Human note about the example.
Optional display order within the dataset.
Step output overrides used when running this example.
Show child attributes
Show child attributes
Most recent run id created from this example.